      SUBROUTINE SETLOCKOWNER(wholockrec,iw)

C     SET OWNER FOR LOCK

      character*(*) wholockrec
      character*15 WHOrec

      call clearstring(WHOrec,15)
      call getuser(WHOrec)
      call findlastchar(nsp,WHOrec,15)

      call clearstring(wholockrec,iw)
      wholockrec(1:nsp)=WHOrec(1:nsp)

      return
      end

